org.eclipse.graphiti.features.context

## Interface IConnectionContext

All Superinterfaces:
  IContext, IPropertyBag

All Known Subinterfaces:
  IAddConnectionContext, ICreateConnectionContext

All Known Implementing Classes:
  AddConnectionContext, CreateConnectionContext

    public interface IConnectionContext
    extends IContext

The Interface IConnectionContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`Anchor` `getSourceAnchor()` Gets the source anchor.
`Anchor` `getTargetAnchor()` Gets the target anchor.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getSourceAnchor

    Anchor getSourceAnchor()

Gets the source anchor.

Returns:
  the source anchor

#### getTargetAnchor

    Anchor getTargetAnchor()

Gets the target anchor.

Returns:
  the target anchor